package hello;

import org.joda.time.LocalTime;

import javax.imageio.ImageIO;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class HelloWorld {
    public static void main(String[] args) {
        LocalTime currentTime = new LocalTime();
        System.out.println("The current local time is: " + currentTime);
        Greeter greeter = new Greeter();
        System.out.println(greeter.sayHello());

        // Example "No SOF segment in stream"
        try {
            byte[] bytes = Files.readAllBytes(Paths.get("foto_0001.tif"));
            ImageIO.read(new ByteArrayInputStream(bytes));
        } catch (IOException e) {
            System.out.println("error: " + e);
        }

    }
}